import { basePositionApi } from '@/api/ticketMr/ticketMr'
export default {
    data() {
        return {
            selectDeliveryAreaDialogList:[],
            getCityDataRequestList:[],
            currentChargeRegionList:[],
            currentChargeRegionList:[],
            getCityDataRequestList:[],
            currentFilterAreaObj: {},
            currentEchoedRegions: [],
            currentAreaIndex: null,
            selectDeliveryAreaDialogOpen: false,
            selectDeliveryAreaDialogTitle: '可售区域',
            props: {
                label: 'name',
                children: 'zones',
                isLeaf: 'leaf'
            },
        }
    },
    created() {
        
    },
    methods: {
        /**
         * 取消查看可配送区域对话框
         */
        deliverableAreaDialogCancel() {
            this.selectDeliveryAreaDialogOpen = true;
            this.basePositionFun("#")
        },
        /** 关闭弹窗  */
        selectDeliveryAreaDialogCancel(){
            this.selectDeliveryAreaDialogOpe = false;
        },
        selectDeliveryAreaDialogSubmitForm(){
            
        },
        /**  获取行政区划  */
        async basePositionFun(upCode) {
            try {
                let res = await basePositionApi({
                    upCode,
                })
                if(res.code == 200) {
                    this.selectDeliveryAreaDialogList = [].concat(res.data)
                }
            } catch (error) {
                console.error("error====",error)
            }
        },
        loadNode(node, resolve) {
            if (node.level === 0) {
              return resolve([{ name: 'region' }]);
            }
            if (node.level > 1) return resolve([]);
    
            setTimeout(() => {
              const data = [{
                name: 'leaf',
                leaf: true
              }, {
                name: 'zone'
              }];
    
              resolve(data);
            }, 500);
          }
    }
}